Bug 52219 - Diamond FIRE GL 1000 PRO card not recognized
Diamond FIRE GL 1000 PRO card not recognized
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-21 15:07 EDT by Joshua Jensen
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-05 22:31:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2001-08-21 15:07:08 EDT
I'm not sure if this is an installer, kudzu, or Xconfigurator bug... but
the cause looks to be the same.

Description of Problem:

The installer recognizes my Diamond Multimedia Systems FIRE GL 1000 PRO
card as a ELSA Gloria Synergy card (with only 512k of memory!).
After installation, /etc/sysconfig/hwconf contains (among other entries):

class: VIDEO
bus: PCI
detached: 0
driver: Card:ELSA GLoria Synergy
desc: "Texas Instruments|TVP4020 [Permedia 2]"
vendorId: 104c
deviceId: 3d07
subVendorId: 1092
subDeviceId: 0146
pciType: 1


However, lspci -v shows me (among other entries):

01:00.0 VGA compatible controller: Texas Instruments TVP4020 [Permedia 2]    
(rev $        Subsystem: Diamond Multimedia Systems FIRE GL 1000 PRO
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 11
        Memory at e6800000 (32-bit, non-prefetchable) [size=128K]
        Memory at e6000000 (32-bit, non-prefetchable) [size=8M]
        Memory at e5800000 (32-bit, non-prefetchable) [size=8M]
        Expansion ROM at e77f0000 [disabled] [size=64K]
        Capabilities: [40] AGP version 1.0


Running Xconfigurator with the --card "Diamond Fire GL 1000 PRO" option
works beautifully, and corrects the problem... but it would be nice to have
this card recognized automatically, even in the installer.


Version-Release number of selected component (if applicable):

RC1


Thanks,

Joshua Jensen
Comment 1 Brent Fox 2001-08-21 15:56:48 EDT
When in the installer, can you go to VC2 and run ddcprobe?  It would be helpful
if you could attach the output of that.
Comment 2 Joshua Jensen 2001-08-21 22:43:13 EDT
Ok... ddcprobe provides:

VESA 2.0 detected.
OEM Name:  PERMEDIA2.
Memory installed = 8 * 64k blocks = 512kb
Supported standard modes:
        640x400x256
        640x400x256
EDID read no supported by video card.


Joshua
Comment 3 Joshua Jensen 2001-09-02 16:03:33 EDT
This problem still exists in RC2.
Comment 4 Jeremy Katz 2001-09-05 20:52:19 EDT
Bill -- the pcitable in kudzu is mapping to the non-generic card here
Comment 5 Bill Nottingham 2001-09-05 22:31:35 EDT
That's not a problem; it doesn't need to go to the specific entry.
Comment 6 Jeremy Katz 2001-09-05 22:38:18 EDT
Actually, Bill just made this change in kudzu

Note You need to log in before you can comment on or make changes to this bug.